function p = plot_nodes(truth, loc, cn, r);

figure(2);

p1 = plot(loc(:,1),loc(:,2),'ko', 'MarkerSize', 6, 'LineWidth', 1, 'MarkerFaceColor', [0.7 0.7 1.0]);
hold on;
    
line([truth(:,1)'; loc(:,1)'], [truth(:,2)'; loc(:,2)'], 'Color', [0.0 0.0 0.0], 'LineWidth', 2);
p2 = plot(truth(:,1),truth(:,2),'r.', 'MarkerSize', 10);
plot(loc(cn,1)+r*cos([0:0.05:2*pi]),loc(cn,2)+r*sin([0:0.05:2*pi]),':');
hold off;
p = [p1 p2];
